Bug 1010679 - audio broken in 24Hz/24p since 3.11 (regression)
audio broken in 24Hz/24p since 3.11 (regression)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 09:55 EDT by Pierre Ossman
Modified: 2013-11-29 01:54 EST (History)
9 users (show)

See Also:
Fixed In Version: kernel-3.11.9-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:48:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69675 None None None Never

  None (edit)
Description Pierre Ossman 2013-09-22 09:55:26 EDT
Upstream bug report:

https://bugs.freedesktop.org/show_bug.cgi?id=69675

I ask you to please revert the relevant commit until upstream can come up with a long term resolution.


PS. Is there any way to black list modes from xorg.conf? That would allow me to work around this issue, and not have to downgrade to a 3.10 kernel.
Comment 1 Josh Boyer 2013-09-23 10:39:54 EDT
Dave, if you want us to revert this please let us know.
Comment 2 Pierre Ossman 2013-10-13 17:07:48 EDT
Upstream has patches available to fix this. Could we please have them rolled into the Fedora kernel until you get in sync. :)
Comment 3 Josh Boyer 2013-10-14 08:43:44 EDT
(In reply to Pierre Ossman from comment #2)
> Upstream has patches available to fix this. Could we please have them rolled
> into the Fedora kernel until you get in sync. :)

They're in Linus' tree, but they aren't marked for stable.

Dave, should they be marked for 3.11 stable and are they minimal enough to backport?
Comment 4 Josh Boyer 2013-10-14 08:44:43 EDT
Commits:

commit 062c2e4363451d49ef840232fe65e8bff0dde2a5
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Fri Sep 27 18:09:54 2013 -0400

    drm/radeon: use 64-bit math to calculate CTS values for audio (v2)

commit e7d12c2f98ae1e68c7298e5028048d150fa553a1
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Fri Sep 27 18:19:42 2013 -0400

    drm/radeon: fix N/CTS clock matching for audio
    
commit ee0fec312a1c4e26f255955da942562cd8908a4b
Author: Alex Deucher <alexander.deucher@amd.com>
Date:   Fri Sep 27 18:22:15 2013 -0400

    drm/radeon: use hw generated CTS/N values for audio

(as far as I know)
Comment 6 Josh Boyer 2013-10-14 14:26:33 EDT
(In reply to Alex Deucher from comment #5)
> You may also want this one:
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> ?id=b852c985010a77c850b7548d64bbb964ca462b02

Thanks Alex.  Should these head to stable as well?
Comment 7 Alex Deucher 2013-10-14 17:03:49 EDT
(In reply to Josh Boyer from comment #6)
> (In reply to Alex Deucher from comment #5)
> > You may also want this one:
> > http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> > ?id=b852c985010a77c850b7548d64bbb964ca462b02
> 
> Thanks Alex.  Should these head to stable as well?

I suppose so if they apply cleanly.  Back to whatever kernel added the problematic 1001 modes.
Comment 8 Josh Boyer 2013-10-15 11:53:07 EDT
Added to Fedora.  Thanks Alex.
Comment 9 Fedora Update System 2013-10-20 15:14:35 EDT
kernel-3.11.6-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.6-200.fc19
Comment 10 Fedora Update System 2013-10-20 15:16:00 EDT
kernel-3.11.6-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-100.fc18
Comment 11 Fedora Update System 2013-10-22 00:59:59 EDT
Package kernel-3.11.6-200.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.6-200.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19650/kernel-3.11.6-200.fc19
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-10-22 23:36:33 EDT
kernel-3.11.6-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Pierre Ossman 2013-10-31 12:51:39 EDT
Something went wrong here. The hacked up 3.11.1 kernel I used for testing a solution for this works fine. The proper 3.11.6 kernel that ended up in the repos glitches every 9 minutes of audio. :/
Comment 14 Pierre Ossman 2013-10-31 15:48:10 EDT
I've found the problem. You lost a chunk in the ee0fec312a1c4e26f255955da942562cd8908a4b commit. evergreen_hdmi.c should also have been modified.

Upstream has however reverted that change in this commit:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=de926800b155886c61b06146e28c0ba2e6fafc39

I've reopened the upstream bug as the current state of things is still broken (albeit less so than when we started).
Comment 15 Fedora Update System 2013-11-02 15:25:24 EDT
kernel-3.11.6-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.6-101.fc18
Comment 16 Fedora Update System 2013-11-03 00:36:39 EDT
Package kernel-3.11.6-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.6-101.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20545/kernel-3.11.6-101.fc18
then log in and leave karma (feedback).
Comment 17 Pierre Ossman 2013-11-03 04:25:47 EST
There is nothing in that kernel that fixes this. Is this bug being updated automatically?
Comment 18 Josh Boyer 2013-11-04 08:27:52 EST
(In reply to Pierre Ossman from comment #17)
> There is nothing in that kernel that fixes this. Is this bug being updated
> automatically?

Yes, sort of.  The bug was originally included in the fixed commits with 3.11.6-100 and that was in updates-testing.  When 3.11.6-101 was submitted, it obsoleted that previous updates-testing bug and inherited any bugs it referenced.  I'll edit all the updates to remove this bug number.
Comment 19 Pierre Ossman 2013-11-06 14:16:44 EST
Upstream is pleased with the suggested fixes. Please apply to Fedoras 3.11 and 3.12 kernels. Thanks. :)
Comment 20 Pierre Ossman 2013-11-15 14:17:31 EST
Think you could get this in for the 3.11.8 update?
Comment 21 Josh Boyer 2013-11-18 11:13:45 EST
These two commits, right?

commit 3e71985f2439d8c4090dc2820e497e6f3d72dcff
Author: Pierre Ossman <pierre@ossman.eu>
Date:   Wed Nov 6 20:00:32 2013 +0100

    drm/radeon/audio: correct ACR table

commit a2098250fbda149cfad9e626afe80abe3b21e574
Author: Pierre Ossman <pierre@ossman.eu>
Date:   Wed Nov 6 20:09:08 2013 +0100

    drm/radeon/audio: improve ACR calculation
Comment 22 Pierre Ossman 2013-11-18 11:26:59 EST
Yup.
Comment 23 Josh Boyer 2013-11-18 11:29:19 EST
Thanks Pierre.  Added.
Comment 24 Fedora Update System 2013-11-21 09:45:22 EST
kernel-3.11.9-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.11.9-300.fc20
Comment 25 Fedora Update System 2013-11-21 09:48:21 EST
kernel-3.11.9-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.11.9-200.fc19
Comment 26 Fedora Update System 2013-11-21 09:53:47 EST
kernel-3.11.9-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.11.9-100.fc18
Comment 27 Fedora Update System 2013-11-23 14:41:04 EST
Package kernel-3.11.9-100.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.11.9-100.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21822/kernel-3.11.9-100.fc18
then log in and leave karma (feedback).
Comment 28 Fedora Update System 2013-11-23 22:48:01 EST
kernel-3.11.9-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2013-11-24 18:46:55 EST
kernel-3.11.9-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2013-11-29 01:54:45 EST
kernel-3.11.9-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.